Open SCAP Library: cvrf_threat Struct Reference

Open SCAP Library

Public Member Functions | Data Fields
cvrf_threat Struct Reference

## Public Member Functions
cvrf_threat_type_t | cvrf_threat_get_threat_type (struct cvrf_threat *threat)
xmlNode * | cvrf_threat_to_dom (const struct cvrf_threat *threat)
| Parent: Threats container in a CVRF Vulnerability element. More...
struct cvrf_threat * | cvrf_threat_new (void)
| New CVRF Threat element. More...
void | cvrf_threat_free (struct cvrf_threat *threat)
| Deallocates memory for a Threat element of the Threats container. More...
struct cvrf_threat * | cvrf_threat_clone (const struct cvrf_threat *threat)
const char * | cvrf_threat_get_date (const struct cvrf_threat *threat)
const char * | cvrf_threat_get_description (const struct cvrf_threat *threat)
struct oscap_string_iterator * | cvrf_threat_get_product_ids (struct cvrf_threat *threat)
struct oscap_string_iterator * | cvrf_threat_get_group_ids (struct cvrf_threat *threat)
bool | cvrf_threat_set_date (struct cvrf_threat *threat, const char *date)
bool | cvrf_threat_set_description (struct cvrf_threat *threat, const char *description)

## Data Fields
cvrf_threat_type_t | type
char * | date
char * | description
struct oscap_stringlist * | product_ids
struct oscap_stringlist * | group_ids

## Member Function Documentation

## ◆ cvrf_threat_get_threat_type()

cvrf_threat_type_t cvrf_threat_get_threat_type | ( | struct cvrf_threat * | threat | ) |

Category of information provided by the Threat about the Vulnerability

Parameters

  threat | CVRF Threat structure

Returns
  Enum representing Type attribute of the Threat element

## ◆ cvrf_threat_to_dom()

xmlNode * cvrf_threat_to_dom | ( | const struct cvrf_threat * | threat | ) |

Parent: Threats container in a CVRF Vulnerability element.

Parameters

  threat | CVRF Threat structure to be exported to XML

Returns
  xmlNode representing Threat element

The documentation for this struct was generated from the following files:

- cvrf_priv.c
- cvrf_priv.h
- cvrf.h